Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Interface SQLFunction

All Known Implementing Classes:
  AnsiTrimEmulationFunction, CastFunction, CharIndexFunction, ClassicAvgFunction, ClassicCountFunction, ClassicSumFunction, ConditionalParenthesisFunction, ConvertFunction, DerbyDialect.DerbyTrimFunctionEmulation, NoArgSQLFunction, NvlFunction, PositionSubstringFunction, SQLFunctionTemplate, StandardJDBCEscapeFunction, StandardSQLFunction, VarArgsSQLFunction

    public interface SQLFunction

Provides support routines for the HQL functions as used in the various SQL Dialects Provides an interface for supporting various HQL functions that are translated to SQL. The Dialect and its sub-classes use this interface to provide details required for processing of the function.

Author:
  David Channon

Method Summary
`Type` | `getReturnType(Type columnType, Mapping mapping)` The return type of the function.
`boolean` | `hasArguments()` Does this function have any arguments?
`boolean` | `hasParenthesesIfNoArguments()` If there are no arguments, are parens required?
`String` | `render(List args, SessionFactoryImplementor factory)` Render the function call as SQL fragment.

Method Detail

### getReturnType

    Type getReturnType(Type columnType,
                       Mapping mapping)
                       throws QueryException

  The return type of the function. May be either a concrete type which is preset, or variable depending upon the type of the first function argument.

  Parameters:
    `columnType` - the type of the first argument
    `mapping` - The mapping source.
  Returns:
    The type to be expected as a return.
  Throws:
    `QueryException` - Indicates an issue resolving the return type.

### hasArguments

    boolean hasArguments()

  Does this function have any arguments?

  Returns:
    True if the function expects to have parameters; false otherwise.

### hasParenthesesIfNoArguments

    boolean hasParenthesesIfNoArguments()

  If there are no arguments, are parens required?

  Returns:
    True if a no-arg call of this function requires parentheses.

### render

    String render(List args,
                  SessionFactoryImplementor factory)
                  throws QueryException

  Render the function call as SQL fragment.

  Parameters:
    `args` - The function arguments
    `factory` - The SessionFactory
  Returns:
    The rendered function call
  Throws:
    `QueryException` - Indicates a problem rendering the function call.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD